<?php
class Pampa_View_Helper_HaveThis {
  public function haveThis($list = array(), $property = NULL, $value = NULL) {

    $return = FALSE;

    foreach($list as $l){
      if(is_array($l) && $l[$property] == $value){
        $return = TRUE;
      }

      if(is_object($l) && $l->$property == $value){
        $return = TRUE;
      }
    }

    return $return;

  }
}
?>
